Pull Request Thread Comments - Create
Create a comment on a specific thread in a pull request.
POST https://{instance}/{collection}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments?api-version=5.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
collection
|
path | True |
string |
The name of the Azure DevOps collection. |
|
instance
|
path | True |
string |
Azure DevOps server name ({server:port}) |
|
pull
|
path | True |
integer (int32) |
ID of the pull request. |
|
repository
|
path | True |
string |
The repository ID of the pull request's target branch. |
|
thread
|
path | True |
integer (int32) |
ID of the thread that the desired comment is in. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| _links |
Links to other related objects. |
|
| author |
The author of the comment. |
|
| commentType |
The comment type at the time of creation. |
|
| content |
string |
The comment content. |
| id |
integer (int16) |
The comment ID. IDs start at 1 and are unique to a pull request. |
| isDeleted |
boolean |
Whether or not this comment was soft-deleted. |
| lastContentUpdatedDate |
string (date-time) |
The date the comment's content was last updated. |
| lastUpdatedDate |
string (date-time) |
The date the comment was last updated. |
| parentCommentId |
integer (int16) |
The ID of the parent comment. This is used for replies. |
| publishedDate |
string (date-time) |
The date the comment was first published. |
| usersLiked |
A list of the users who have liked this comment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.code_write | Grants the ability to read, update, and delete source code, access metadata about commits, changesets, branches, and other version control artifacts. Also grants the ability to create and manage pull requests and code reviews and to receive notifications about version control events via service hooks. |
Examples
Sample request
POST https://{instance}/fabrikam/_apis/git/repositories/3411ebc1-d5aa-464f-9615-0b527bc66719/pullRequests/22/threads/148/comments?api-version=5.0
{
"content": "Good idea",
"parentCommentId": 1,
"commentType": 1
}
Sample response
{
"id": 2,
"parentCommentId": 1,
"author": {
"id": "d6245f20-2af8-44f4-9451-8107cb2767db",
"displayName": "Normal Paulk",
"uniqueName": "fabrikamfiber16@hotmail.com",
"url": "https://fabrikam:8080/tfs/_apis/Identities/d6245f20-2af8-44f4-9451-8107cb2767db",
"imageUrl": "https://fabrikam:8080/tfs/_api/_common/identityImage?id=d6245f20-2af8-44f4-9451-8107cb2767db"
},
"content": "Good idea",
"publishedDate": "2016-11-01T16:30:51.383Z",
"lastUpdatedDate": "2016-11-01T16:30:51.383Z",
"commentType": "text"
}
Definitions
| Name | Description |
|---|---|
| Comment |
Represents a comment which is one of potentially many in a comment thread. |
|
Comment |
The comment type at the time of creation. |
|
Identity |
|
|
Reference |
The class to represent a collection of REST reference links. |
Comment
Represents a comment which is one of potentially many in a comment thread.
| Name | Type | Description |
|---|---|---|
| _links |
Links to other related objects. |
|
| author |
The author of the comment. |
|
| commentType |
The comment type at the time of creation. |
|
| content |
string |
The comment content. |
| id |
integer (int16) |
The comment ID. IDs start at 1 and are unique to a pull request. |
| isDeleted |
boolean |
Whether or not this comment was soft-deleted. |
| lastContentUpdatedDate |
string (date-time) |
The date the comment's content was last updated. |
| lastUpdatedDate |
string (date-time) |
The date the comment was last updated. |
| parentCommentId |
integer (int16) |
The ID of the parent comment. This is used for replies. |
| publishedDate |
string (date-time) |
The date the comment was first published. |
| usersLiked |
A list of the users who have liked this comment. |
CommentType
The comment type at the time of creation.
| Value | Description |
|---|---|
| unknown |
The comment type is not known. |
| text |
This is a regular user comment. |
| codeChange |
The comment comes as a result of a code change. |
| system |
The comment represents a system message. |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and collections. |
| directoryAlias |
string |
|
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
|
| inactive |
boolean |
|
| isAadIdentity |
boolean |
|
| isContainer |
boolean |
|
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
|
| uniqueName |
string |
|
| url |
string |
This url is the full route to the source resource of this graph subject. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |